<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <nz-card style="width: 100%; margin-bottom: 10px" nzTitle="{{ 'Economy.Market.Items.Title' | translate }}"
    nzSize="small">
    <div nz-row style="text-align: center; margin-top: 10px">
      <nz-table #basicTable1 [nzData]="marketOffers" [nzFrontPagination]="false" style="width: 100%">
        <thead>
          <tr>
            <th style="width: 25%; text-align: center">
              {{ "Economy.Market.Country" | translate }}
            </th>
            <th style="width: 25%; text-align: center">
              {{ "Economy.Market.Amount" | translate }}
            </th>
            <th style="width: 25%; text-align: center">
              {{ "Economy.Market.Price" | translate }}
            </th>
            <th style="width: 25%; text-align: center" *ngIf="canManage">
              <button nz-button nzShape="round" nzType="default" (click)="showAddOfferModal()">
                {{ "Economy.Market.AddOffer" | translate }}
              </button>
            </th>
          </tr>
        </thead>
        <tbody style="text-align: center">
          <tr *ngFor="let data of basicTable1.data">
            <td [routerLink]="['/country', data.country.id]">
              <div nz-row nzAlign="middle">
                <nz-col nzSpan="12" style="text-align: right;">
                  <nz-avatar [nzShape]="'square'" [nzIcon]="'user'"
                    [nzSrc]="apiUrl + '/flags/xl/' + data.country.avatar" style="height: 24px; width: 30px;">
                  </nz-avatar>
                </nz-col>
                <nz-col nzSpan="12">
                  {{ data.country.name }}
                </nz-col>
              </div>
            </td>
            <td>
              {{ data.amount }}
            </td>
            <td>{{ data.price }} {{ data.priceCurrencyName }}</td>
            <td *ngIf="canManage">
              <button nz-button nzShape="round" nzType="danger" (click)="deleteMarketOffer(data.id)">
                {{ "Economy.Market.Delete" | translate }}
              </button>
            </td>
          </tr>
        </tbody>
      </nz-table>
    </div>
  </nz-card>
</nz-spin>

<nz-modal [(nzVisible)]="addIsVisible" nzTitle="{{ 'Economy.Market.AddOffer' | translate }}"
  (nzOnCancel)="addIsVisible = false" [nzFooter]="null" nzWidth="60%">
  <ng-container *nzModalContent>
    <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
      <form [formGroup]="form" (submit)="addMarketOffer()">
        <div nz-row style="text-align: center; margin-top: 5px">
          <div nz-col nzSpan="6">{{ "Economy.Market.Country" | translate }}</div>
          <div nz-col nzSpan="6">{{ "Economy.Market.Amount" | translate }}</div>
          <div nz-col nzSpan="6">{{ "Economy.Market.Price" | translate }}</div>
          <div nz-col nzSpan="6">{{ "Economy.Market.CurrencyName" | translate }}</div>
        </div>
        <div nz-row style="text-align: center; margin-top: 5px">
          <div nz-col nzSpan="6">
            <nz-select nzAllowClear nzPlaceHolder="{{ 'Economy.Items.selectCountry' | translate }}" style="width: 80%"
              formControlName="countryId">
              <nz-option-group nzLabel="{{ 'Economy.Items.exportLicense' | translate }}">
                <nz-option nzCustomContent *ngFor="let item of countries" [nzValue]="item.country.id"
                  [nzLabel]="item.country.name" [nzDisabled]="item.disabled">
                  <img [src]="item.country?.flagLocation" width="20" height="15" style="margin-bottom: 4px" />
                  {{ item.country.name }}
                </nz-option>
              </nz-option-group>
              <nz-option-group nzLabel="{{ 'Economy.Items.tradeAgreement' | translate }}">
                <nz-option nzCustomContent *ngFor="let item of tradeAgreements" [nzValue]="item.country.id"
                  [nzLabel]="item.country.name">
                  <img [src]="item.country.flagLocation" width="20" height="15" style="margin-bottom: 4px" />
                  {{ item.country.name }}
                </nz-option>
              </nz-option-group>
            </nz-select>
          </div>
          <div nz-col nzSpan="6">
            <nz-input-number [nzMin]="1" [nzStep]="1" formControlName="amount" style="width: 80%"></nz-input-number>
          </div>
          <div nz-col nzSpan="6">
            <nz-input-number [nzMin]="0.01" [nzStep]="1" formControlName="price" style="width: 80%"></nz-input-number>
          </div>
          <div nz-col nzSpan="6">
            <div *ngIf="selectedCountry">
              <img [src]="selectedCountry?.flagLocation" width="25" height="20" />
              {{ selectedCountry?.currency?.symbol }}
            </div>
          </div>
        </div>
        <hr />
        <div nz-row nzGutter="12">
          <div nz-col nzSpan="22">
            <button style="float: right" nz-button nzShape="round" nzType="primary" type="submit"
              [disabled]="form.status != 'VALID'">
              {{ "Economy.Market.AddOffer" | translate }}
            </button>
          </div>
        </div>
      </form>
    </nz-spin>
  </ng-container>
</nz-modal>
